/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for ElectrophysiologyWaveformVoltages
 */
public enum EnumCV_ElectrophysiologyWaveformVoltages 
{
	//CID 3688 Electrophysiology Waveform Voltages
	Q_AMPLITUDE_5_13_5_23("5.13.5-23"),
	R_AMPLITUDE1_5_13_5_25("5.13.5-25"),
	S_AMPLITUDE1_5_13_5_27("5.13.5-27"),
	R_AMPLITUDE2_5_13_5_29("5.13.5-29"),
	S_AMPLITUDE2_5_13_5_31("5.13.5-31"),
	J_POINT_AMPLITUDE_5_13_5_33("5.13.5-33"),
	P_POSITIVE_AMPLITUDE_5_13_5_35("5.13.5-35"),
	P_NEGATIVE_AMPLITUDE_5_13_5_37("5.13.5-37"),
	T_POSITIVE_AMPLITUDE_5_13_5_39("5.13.5-39"),
	T_NEGATIVE_AMPLITUDE_5_13_5_41("5.13.5-41"),
	ST_AMPLITUDE_AT_THE_J_NEGATIVEPOINT_PLUS_20_MS_5_13_5_57("5.13.5-57"),
	ST_AMPLITUDE_AT_THE_J_NEGATIVEPOINT_PLUS_60_MS_5_13_5_59("5.13.5-59"),
	ST_AMPLITUDE_AT_THE_J_POINT_PLUS_80_MS_5_13_5_61("5.13.5-61"),
	AMPLITUDE_AT_THE_J_POINT_PLUS_1_16_AVERAGE_R_R_5_13_5_63("5.13.5-63"),
	AMPLITUDE_AT_THE_J_POINT_PLUS_1_8_AVERAGE_R_R_5_13_5_65("5.13.5-65");
	
	private String value;

	EnumCV_ElectrophysiologyWaveformVoltages(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
